precision highp float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform float alphaFactor;

void main()
{
    vec2 uv = textureCoordinate;
    vec4 originCol = texture2D(inputImageTexture, uv);
    originCol.a *= 1.0 - max(originCol.r, max(originCol.g, originCol.b)) ;
    originCol.rgb *= originCol.a *alphaFactor;
    gl_FragColor = originCol;
}